%define name gmpc
%define version 11.8.16
%define release %mkrel 1
%define __libtoolize /bin/true

Summary: Gmpc is a gtk2 frontend for the mpd
Summary(de): Gmpc ist ein gtk2-Frontend für den MPD
Name: 	 %name
Version: %version
Release: %release
License: GPL
Group: 	Sound
URL: 	http://download.sarine.nl/
Source: http://download.sarine.nl/Programs/gmpc/0.20.0/%name-%version.tar.xz
BuildRoot: %_tmppath/%{name}-%{version}-%{release}-buildroot
BuildRequires: scrollkeeper
BuildRequires: gtk2-devel
BuildRequires: %{_lib}glade2.0-devel
BuildRequires: gnome-vfs2-devel
BuildRequires: perl-XML-Parser 
BuildRequires: desktop-file-utils 
BuildRequires: %{_lib}curl-devel 
BuildRequires: gob2
BuildRequires: %{_lib}mpd-devel >= 0.20.95
BuildRequires: vala
BuildRequires: %{_lib}glib2.0_0-devel+
BuildRequires: %{_lib}unique-devel
Requires: gnome-vfs2
Requires: %{_lib}mpd1  >= 0.20
Obsoletes:  %name < %version

%description
MPD supports ogg, flac and mp3 and is very stable 
and light weight, supporting playlists and huge 
libraries.

Features :

 * Support for loading/saving playlists. 
 * File Browser 
 * Browser based on ID3 information. (on artist and albums) 
 * Search 
 * Current playlist viewer with search. 
 * ID3 information 
 * Lots more 

#german
%description -l de
MPD unterstützt ogg, flac und mp3 und ist sehr stabil und einfach, 
unterstützt Wiedergabelisten und riesige Bibliotheken. 
Merkmale:

 * Unterstützung für das Laden / Speichern von Wiedergabelisten.
 * Datei-Browser
 * Browser basiert auf ID3-Informationen. (Künstler und Alben)
 * Suche
 * Aktueller Wiedergabelisten-Anzeiger mit Suchfunktion.
 * ID3-Informationen
 * und vieles mehr



%package devel
Summary:        gmpc devel file
Summary(de):	GMPC Devel Dateien
Requires:       %name = %version-%release
Group:          Development/Other
Provides:       %name-devel = %version-%release

%description devel
gmpc devel file

#german
%description devel -l de
GMPC Devel Dateien zum erstellen neuer Anwendungen unter/mit %name.

%prep

%setup -q

%build
%configure2_5x

%make WARN_CFLAGS=""

%install
rm -rf %buildroot
GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 
%makeinstall_std 

%find_lang %name --with-gnome


desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="GTK" \
  --add-category="X-MandrivaLinux-Multimedia-Sound;AudioVideo;Audio" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*

%clean
rm -rf %buildroot


%post
%update_menus
%update_icon_cache hicolor


%postun
%clean_menus
%clean_icon_cache hicolor


%files -f %name.lang
%defattr(-,root,root)

%doc AUTHORS ChangeLog NEWS README
%{_bindir}/%name
%{_bindir}/%name-remote
%{_bindir}/%name-remote-stream
%{_datadir}/applications/%name.desktop
%{_datadir}/%{name}
%{_datadir}/icons/Humanity
%{_mandir}/man1/*.1.bz2
%{_datadir}/icons/hicolor/*/apps/*

%files devel
%{_includedir}/gmpc/*.h
%{_libdir}/pkgconfig/%{name}.pc


%changelog
* Wed May 16 2012 Neal <nealbrks0 at gmail dot com> 11.8.16-1pclos2012
- process

* Wed May 16 2012 ghostbunny <hmhaase at pclinuxosusers dot de> 11.8.16-1pclos2012
- 11.8.16
- added %{_lib} macros
- added xz compression
- added BuildRequires: vala %{_lib}glib2.0_0-devel+

* Sat Apr 03 2010 slick50 <lxgator@gmail.com> 0.20.0-1pclos2010
- 0.20.0

* Fri Jan 08 2010 Texstar <texstar at gmail.com> 0.19.1-2pclos2010
- rebuild

* Sat Dec 05 2009 slick50 <lxgator@gmail.com> 0.19.1-1pclos2010
- 0.19.1

* Mon Sep 21 2009 slick50 <lxgator@gmail.com> 0.19.0-1pclos2009
- 0.19.0

* Sun Aug 09 2009 slick50 <lxgator@gmail.com> 0.18.0-1pclos2009
- 0.18.0

* Mon May 25 2008 Slick50 <slick50@linuxgator.org> 0.15.5.0-1pclos2007
- 0.15.5.0

* Mon Jun 25 2007 Gettinther <gettinther@gmail.com> 0.14.0-1pclos2007
- Rebuilt for pclos
